> ## Documentation Index
> Fetch the complete documentation index at: https://docs.aptlystar.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# API to get StarFish settings



## OpenAPI

````yaml api-reference/openapi-1.json get /api/v1/admin/starfish-settings
openapi: 3.0.1
info:
  title: '@fastify/swagger'
  version: 8.15.0
servers:
  - url: https://app.aptlystar.ai
security: []
paths:
  /api/v1/admin/starfish-settings:
    get:
      tags:
        - Admin
      summary: API to get StarFish settings
      parameters:
        - name: Authorization
          in: header
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Default Response
          content:
            '*/*':
              schema:
                type: object
                properties:
                  noOfBotsPerUser:
                    type: number
                  allowUserToCreateBots:
                    type: boolean
                  allowUserToRegister:
                    type: boolean
                  defaultChunkSize:
                    type: number
                  defaultChunkOverlap:
                    type: number
                  defaultChatModel:
                    type: string
                  defaultEmbeddingModel:
                    type: string
                  dynamicallyFetchOllamaModels:
                    type: boolean
                  hideDefaultModels:
                    type: boolean
                  ollamaURL:
                    type: string
                  usePuppeteerFetch:
                    type: boolean

````